/* GNOME DB libary
 * Copyright (C) 2000 Chris Wiegand
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __gda_bindings_cpp_gdaBatchH
#define __gda_bindings_cpp_gdaBatchH

#include "gdaIncludes.h"

class gdaBatch {
	public:
		gdaBatch();
		gdaBatch(Gda_Batch *a);
		~gdaBatch();

		Gda_Batch *getCStruct();
		void setCStruct(Gda_Batch *job);

		gboolean loadFile(const gchar *filename, gboolean clean);
		void addCommand(const gchar *cmd);
		void clear();

		gboolean start();
		void stop();
		gboolean isRunning();

		gdaConnection* getConnection();
		void setConnection(gdaConnection *cnc);
		gboolean getTransactionMode();
		void setTransactionMode(gboolean mode);

	private:
		Gda_Batch* _gda_batch;
		gdaConnection *cnc;

};

#endif
